package com.nisum.order_consumer.service;

import com.nisum.order_consumer.dto.OrderDto;
import com.nisum.order_consumer.entity.Order;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface OrderConsumerService {

    Mono<Order> saveOrder(Order orderInfo);

    // Retrieve all orders
    Flux<Order> getAllOrders();

    // Retrieve a specific order by orderId
    Mono<Order> getOrderById(String orderId);

    // Get order count for a specific customerId
    Mono<Long> getOrderCountByCustomerId(String customerId);
}
